package com.ruoyi.programManagement.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 执法结果响应类
 */
@Data
public class BPlanEnterpriseZhifaResponse {
    /**
     * 编号
     */

    @ApiModelProperty(value = "编号")
    @Excel(name = "编号")
    private Long id;

    /**
     * 检查表id
     */
    @ApiModelProperty(value = "检查表id")

    private String longId;

    /**
     * 计划id
     */

    @ApiModelProperty(value = "计划id")
    private Long planId;

    /**
     * 企业id
     */

    @ApiModelProperty(value = "企业id")
    private String enterpriseId;

    /**
     * 创建者ID
     */
    @ApiModelProperty(value = "创建者ID")
    private Integer createId;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String createBy;

    /**
     * 创建时间
     */

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新者ID
     */
    @ApiModelProperty(value = "更新者ID")
    private Integer updateId;

    /**
     * 更新者
     */
    @ApiModelProperty(value = "更新者")
    private String updateBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 用户权限id
     */
    @ApiModelProperty(value = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @ApiModelProperty(value = "部门权限id")
    private Long deptId;


    /**
     * 行政区划
     */

    @ApiModelProperty(value = "行政区划")
    @Excel(name = "行政区划")
    private String district;


    /**
     * 企业名称
     */

    @ApiModelProperty(value = "企业名称")
    @Excel(name = "企业名称")
    private String entprName;


    /**
     * 计划年份
     */

    @ApiModelProperty(value = "计划年份")
    @Excel(name = "计划年份")
    private String plannedYear;

    /**
     * 检查状态
     */

    @ApiModelProperty(value = "检查状态 1=已检查，2=未检查")
    @Excel(name = "检查状态",readConverterExp = "1=已检查,2=未检查")
    private String checkStatus;

}
